package sessions

import "context"

type UseCase interface {
	Create(ctx context.Context, userId int32) (*string, error)
	Read(ctx context.Context, token string) (*int32, error)
	Update(ctx context.Context, token string) error
	Delete(ctx context.Context, token string) error
}
